% Generated by roxygen2 (4.0.2): do not edit by hand
\name{plotPCA}
\alias{plotPCA}
\title{Sample PCA plot from variance-stabilized data}
\usage{
plotPCA(x, intgroup = "condition", ntop = 500, returnData = FALSE)
}
\arguments{
\item{x}{a SummarizedExperiment, with data in \code{assay(x)},
produced for example by either \code{\link{varianceStabilizingTransformation}}
or \code{\link{rlogTransformation}}}

\item{intgroup}{interesting groups: a character vector of names in \code{colData(x)} to use for grouping}

\item{ntop}{number of top genes to use for principal components, selected by highest
row variance}

\item{returnData}{should the function only return the data.frame of PC1 and PC2
with intgroup covariates for custom plotting (default is FALSE)}
}
\value{
An object created by \code{ggplot}, which can be assigned and further customized.
}
\description{
This plot helps to check for batch effects and the like.
}
\note{
See the vignette for an example of variance stabilization and PCA plots.
Note that the source code of plotPCA is very simple and commented.
Users should find it easy to customize this function.
}
\examples{
dds <- makeExampleDESeqDataSet(betaSD=1)
rld <- rlog(dds)
plotPCA(rld)
}
\author{
Wolfgang Huber
}

